<?php
/**
    * 
    * @name: Administrator Controller.
    * @abstract: to handle all administrator functionality.
    * @date: 07/08/2015.
    * @author: Alaa M. Jaddou. (Aj).
    * 
    */
  class Admin extends CI_Controller {
      /**
        * @name __construct(): call this to check if the user logged in or starting a new session 
        * 
        */
      function __construct() {
          parent::__construct();
            $this->session->set_userdata(array('lang' => 'en'));
            if (empty($this->session->userdata['id'])) {
                if ($this->router->method != 'Login') {
                    redirect('Admin/Login');
                }
            } else {
                $data['controller'] = $this->router->fetch_class();
            }
            
      }
      /**
      * @name: index.
      * @abstract: to handle the control panel home page.
      * 
      */
      public function index () {
            // here to show the admin panel 
            $data['title'] = 'New Farm - Control Panel';
            $data['main_content'] = 'admins/index';
            $data['controller'] = $this->router->fetch_class();
            $this->load->view('template', $data);
            
        }

        /**
        * @name login: to view login form and do login.
        * 
        */
        function Login () {
            if ($this->input->post()) {         
                $result = $this->User->getUser();
                if ($result) {
                    $data['message'] = $result;
                    
                } else {
                    redirect('Admin/');
                    
                }
            }
            $data['title'] = 'New Farm - Login';
            $data['controller'] = $this->router->fetch_class();
            $data['main_content'] = 'admins/Login';
            $this->load->view('template', $data);

        }

        /**
        * @name: logout.
        * @abstract: do logout.
        * 
        */
        public function logout () {
            $time = now();
            $logout_data = array(
                'last_login' => now(),
                'login_attempt' => 0
            );
            $data['title'] = 'New Farm - Logout';
            $data['controller'] = $this->router->fetch_class();
            $this->User->update_user_data($logout_data);
            redirect('../');
            
        }


        //------------------------------------
        //---------- News Handle -------------
        //------------------------------------
        public function news () {
            $news = $this->News->getNews();
            foreach ($news->result() as $new) {
                $users = $this->User->getById($new->created_by);
                $title = $this->session->userdata['lang'].'_name';
                $first_name = $this->session->userdata['lang'].'_first_name';
                $last_name = $this->session->userdata['lang'].'_last_name';
                $user = (isset($users[0]))? $users[0]->$first_name.' '.$users[0]->$last_name : '-';
                $ne[] = array(
                    'id' => $new->id,
                    'title' => $new->$title,
                    'img_path' => $new->img_path,
                    'date_created' => $new->date_created,
                    'created_by' => $user
                );
            }
            $data['news'] = (object) $ne;
            $data['title'] = 'New Farm - News';
            $data['controller'] = $this->router->fetch_class();
            $data['main_content'] = 'admins/news';
            $this->load->view('template', $data);

        }
        
        function addNews() {
            $this->form_validation->set_rules('userfile', 'User File', 'required');
            if ($this->input->post()) {
                $config['upload_path'] = './assests/uploads/';
                $config['allowed_types'] = 'gif|jpg|jpeg|png';
                $this->upload->initialize($config);
                if (!$this->upload->do_upload()) {
                    $error = $this->upload->display_errors();  
                    $data['message'] = $error;               

                } else {
                    $upload = array(
                        $this->session->userdata['lang'].'_name' => $this->input->post('title'),
                        'body' => $this->input->post('text'),
                        'img_path' => 'assests/uploads/' . $this->upload->file_name,
                        'created_by' => $this->session->userdata['id']
                    );
                    $this->News->insert($upload);
                    if (isset($error)) { 
                        $data['message'] = $error;       
                    } else {
                        $data['message'] = 'Added Successfully ...';
                    }                                                            

                }
            }
            $data['title'] = 'New Farm - News';
            $data['controller'] = $this->router->fetch_class();
            $data['main_content'] = 'admins/addNew';
            $this->load->view('template', $data);
        }

        function editNew($id) {
            if ($this->input->post()) {
                $config['upload_path'] = './assests/uploads/';
                $config['allowed_types'] = 'gif|jpg|jpeg|png';
                $this->upload->initialize($config);
                if ($this->upload->file_name) {
                    if (!$this->upload->do_upload()) {
                        $error = $this->upload->display_errors();  
                        $data['message'] = $error;               

                    } else {
                        $upload = array(
                            $this->session->userdata['lang'].'_name' => $this->input->post('title'),
                            'body' => $this->input->post('text'),
                            'img_path' => 'assests/uploads/' . $this->upload->file_name,
                            'modified_by' => $this->session->userdata['id']
                        );

                    }
            
                } else {
                    $upload = array(
                        $this->session->userdata['lang'].'_name' => $this->input->post('title'),
                        'body' => $this->input->post('text'),                       
                        'modified_by' => $this->session->userdata['id']
                    );    
                }
                $result = $this->News->editNew($id, $upload);
                if ($result) { 
                    $data['message'] = 'Updated Successfully ...';
                          
                } else {
                    $data['message'] = $error; 
                    
                }
            
            }
            $news = $this->News->getById($id);
            $new = (object) $news;
            $data['new'] = $new;
            $data['title'] = 'New Farm - News';
            $data['controller'] = $this->router->fetch_class();
            $data['main_content'] = 'admins/editnews';
            $this->load->view('template', $data);
        }
        
        function delNew($id) {
            $result = $this->News->delNew($id);
            if ($result) {
                $data['message'] = 'Deleted Successfully ...';
                
            } else {
                $data['message'] = 'Something went wrong please refresh the page and try again.';
            
            }
            $news = $this->News->getNews();
            foreach ($news->result() as $new) {
                $users = $this->User->getById($new->created_by);
                $title = $this->session->userdata['lang'].'_name';
                $first_name = $this->session->userdata['lang'].'_first_name';
                $last_name = $this->session->userdata['lang'].'_last_name';
                $user = (isset($users[0]))? $users[0]->$first_name.' '.$users[0]->$last_name : '-';
                $ne[] = array(
                    'id' => $new->id,
                    'title' => $new->$title,
                    'img_path' => $new->img_path,
                    'date_created' => $new->date_created,
                    'created_by' => $user
                );
            }
            $data['news'] = (object) $ne;
            $data['title'] = 'New Farm News';
            $data['controller'] = $this->router->fetch_class();
            $data['main_content'] = 'admins/news';
            $this->load->view('template', $data);
            
        }
        
        //------------------------------------
        //-------- End News Handle -----------
        //------------------------------------
        
        
        // home picture

        /**
        * @name home picture: to view admin panel.
        * 
        */
        
        
        public function pic () {  
            $this->form_validation->set_rules('userfile', 'User File', 'required');
            if ($this->input->post()) {
                $config['upload_path'] = 'http://pallcp.ps/test/pcf/assests/uploads/';
                $config['allowed_types'] = 'gif|jpg|png';
                $config['max_size']    = '100';
                $config['max_width']  = '1024';
                $config['max_height']  = '768'; 
                $config["Language"] = 'ar';         
                $this->upload->initialize($config);
                if ( !$this->upload->do_upload())
                {
                    $error = array('error' => $this->upload->display_errors());  
                    $data['error'] = $error;               

                }
                else
                {
                    $upload = array(
                        'path' => $this->upload->upload_path . $this->upload->file_name,
                        'created_by' => 1
                    );
                    $this->Pics->insert_pic($upload);
                    if (isset($error)) { 
                        $data['error'] = $error;       
                    } else {
                        $data['success'] = 'تمت الاضافة بنجاح';
                    }                                                            

                }

            }
            $data['main_content'] = 'admins/pic';
            $data['controller'] = $this->router->fetch_class();
            $this->load->view('template', $data);

        }

        //------------------------------------
        //-------- user Handle -----------
        //------------------------------------
        public function addUser () {
            if ($this->input->post()) {
                $result = $this->User->add_user();
                if ($result) {
                    $data['message'] = 'تمت الاضافة بنجاح';
                    
                } else {
                    $data['message'] = 'حدث خطأ في الاضافة سيتم مراجعة الطلب ';
                }
            }
            $data['title'] = 'الحزب الشيوعي - ادارة المستخدمين';
            $data['main_content'] = 'admins/addUser';
            $data['controller'] = $this->router->fetch_class();
            $this->load->view('template', $data);

        }
        
        function delUser($id) {
            $result = $this->User->delUser($id);
            if ($result) {
                $data['message'] = 'تم الحذف بنجاح';
                
            } else {
                $data['message'] = 'حدث خطأ في الحذف سيتم مراجعة الطلب ';
            
            }
            $data['users'] = $this->User->getUsers();
            $data['title'] = 'الحزب الشيوعي - ادارة المستخدمين';
            $data['main_content'] = 'admins/users';
            $data['controller'] = $this->router->fetch_class();
            $this->load->view('template', $data);
        }
        
        function users() {
            $data['users'] = $this->User->getUsers();
            $data['title'] = 'الحزب الشيوعي - ادارة المستخدمين';
            $data['main_content'] = 'admins/users';
            $data['controller'] = $this->router->fetch_class();
            $this->load->view('template', $data);
            
        }
        //------------------------------------
        //-------- end user Handle -----------
        //------------------------------------
        
        //------------------------------------
        //-------- Category Handle -----------
        //------------------------------------
        public function addCategory() {
            if ($this->input->post()) {
                $config['upload_path'] = './assests/uploads/';
                $config['allowed_types'] = 'gif|jpg|jpeg|png';
                $this->upload->initialize($config);
                if (!$this->upload->do_upload()) {
                    $error = $this->upload->display_errors();                 

                } else {
                    $parent = ($this->input->post('category'))? $this->input->post('category') : '';
                    $data = array(
                        $this->session->userdata['lang'].'_name' => $this->input->post('catname'),
                        'parent_id' => $parent,
                        'img_path' => 'assests/uploads/' . $this->upload->file_name,
                        'created_by' => $this->session->userdata['id']                 
                    );
                    $result = $this->Category->addCat($data);                                                            

                }                                   
                if ($result) {
                    $data['message'] = 'تمت الاضافة بنجاح';
                    
                } else {
                    $data['message'] = $error;
                
                }
                
            }
            $cats = $this->Category->getCategories();
            $data['cats'] = $cats;
            $data['title'] = 'الحزب الشيوعي - ادارة الاقسام';
            $data['main_content'] = 'admins/addCategory';
            $data['controller'] = $this->router->fetch_class();
            $this->load->view('template', $data);

        }
        
        function delCat($id) {
            $result = $this->Category->delCat($id);
            if ($result) {
                $data['message'] = 'تم الحذف بنجاح';
                
            } else {
                $data['message'] = 'حدث خطأ في الحذف سيتم مراجعة الطلب ';
            
            }
            $data['cats'] = $this->Category->getAllCats();
            $data['title'] = 'الحزب الشيوعي - ادارة الاقسام';
            $data['main_content'] = 'admins/categories';
            $data['controller'] = $this->router->fetch_class();
            $this->load->view('template', $data);
        }
        
        function editCat($id) {
            if ($this->input->post()) {
                $result = $this->Category->updateCat($id);
                if ($result) {
                    $data['message'] = 'تم التعديل بنجاح';
                    
                } else {
                    $data['message'] = 'حدث خطأ في التعديل سيتم مراجعة الطلب ';
                
                }
            }
            $cats = $this->Category->getCatDetail($id);
            $cat = $cats[0];
            $cats = $this->Category->getCategories();
            $data['cats'] = $cats;
            $data['cat'] = $cat;
            $data['title'] = 'الحزب الشيوعي - ادارة الاقسام';
            $data['main_content'] = 'admins/editCategory';
            $data['controller'] = $this->router->fetch_class();
            $this->load->view('template', $data);
            
        }
        
        function category() { 
            $lang = $this->session->userdata['lang'].'_name';
            $cats = $this->Category->getAllCategories();
            foreach ($cats as $cat) {
                $cat = (object) $cat;
                $ca[] = array(
                    'id' => $cat->id,
                    'name' => $cat->$lang,
                    'parent' => ($cat->parent_id != 0) ? $this->Category->getParentName($cat->parent_id) : '-',
                );
            }
            $data['cats'] = $ca;
            $data['title'] = 'الحزب الشيوعي - ادارة الاقسام';
            $data['main_content'] = 'admins/categories';
            $data['controller'] = $this->router->fetch_class();
            $this->load->view('template', $data);
            
        }
        //------------------------------------
        //------ End Category Handle ---------
        //------------------------------------
        // posts
        public function posts () {
            $data['title'] = 'الحزب الشيوعي - ادارة المقالات';
            $data['controller'] = $this->router->fetch_class();
            $data['main_content'] = 'posts';
            $this->load->view('template', $data);

        }
        
        
        
        //------------------------------------
        //-------- events Handle -----------
        //------------------------------------
        public function products () {
            $products = $this->Product->getProducts();
            foreach ($products as $product) {
                $users = $this->User->getById($product->created_by);
                $first_name = $this->session->userdata['lang'].'_first_name';
                $last_name = $this->session->userdata['lang'].'_last_name';
                $user = $users[0]->$first_name.' '.$users[0]->$last_name;
                $name = $this->session->userdata['lang'].'_name'; 
                $cats = $this->Category->getCatName($product->cat_id);
                $prod[] = array(
                    'id' => $product->id,
                    'image' => $product->newfarm_image,
                    'name' => $product->$name,
                    'category' => ($cats != '') ? $cats : ' ',
                    'created_by' => $user
                );
            }              
            $data['evts'] = (object) $prod;
            $data['title'] = 'New Farm - Add Product';
            $data['main_content'] = 'admins/product';
            $data['controller'] = $this->router->fetch_class();
            $this->load->view('template', $data);

        }
        
        
        
        function delEvent($id) {
            $result = $this->Event->delEvent($id);
            if ($result) {
                $data['message'] = 'تم الحذف بنجاح';
                
            } else {
                $data['message'] = 'حدث خطأ في الحذف سيتم مراجعة الطلب ';
            
            }
            $events = $this->Event->getEvents();
            $events = array();
            foreach ($events as $event) {
                $users = $this->User->getById($event->created_by);
                $first_name = $this->session->userdata['lang'].'_first_name';
                $last_name = $this->session->userdata['lang'].'_last_name';
                $user = $users[0]->$first_name.' '.$users[0]->$last_name;
                $events[] = array(
                    'id' => $event->id,
                    'title' => $event->title,
                    'date' => $event->data,
                    'date_created' => $event->date_created,
                    'created_by' => $user
                );
            } 
            $data['events'] = (object) $events;
            $data['title'] = 'الحزب الشيوعي - ادارة المناسبات';
            $data['main_content'] = 'admins/event';
            $data['controller'] = $this->router->fetch_class();
            $this->load->view('template', $data);
        }
        
        function addProduct() {
            if ($this->input->post()) {
                $config['upload_path'] = './assests/uploads/products/';
                $config['allowed_types'] = 'gif|jpg|jpeg|png';
                $this->upload->initialize($config);
                if (!$this->upload->do_upload()) {
                    $error = $this->upload->display_errors();                 

                } else {
                    $this->session->userdata['id'] = 1;
                    $parent = ($this->input->post('category'))? $this->input->post('category') : '';
                    $data = array(
                        'ar_name' => $this->input->post('ar_name'),
                        'en_name' => $this->input->post('en_name'),
                        'ar_body' => $this->input->post('ar_body'),
                        'en_body' => $this->input->post('en_body'),
                        'cat_id' => $parent,
                        'newfarm_image' => $this->upload->file_name,
                        'created_by' => $this->session->userdata['id']                 
                    );
                    $result = $this->Product->addProduct($data);                                                            

                }                                   
                if ($result) {
                    $data['message'] = 'Added Successfully ...';
                    
                } else {
                    $data['message'] = $error;
                
                }
                
            }
            $cats = $this->Category->getCategories();
            $data['cats'] = $cats;
            $data['title'] = 'New Farm - Products';
            $data['main_content'] = 'admins/addProduct';
            $data['controller'] = $this->router->fetch_class();
            $this->load->view('template', $data);
        }
        
        function gallery() {
            $images = $this->Gallery->GetAll();
            $title = $this->session->userdata('lang').'_title';
            $desc = $this->session->userdata('lang').'_desc';
            $galleries = array();
            foreach ($images->result() as $image) {
                $categoryName = $this->Gallery->GetCategoryName($image->id);
                $gallery['id'] = $image->id;
                $gallery[$title] = $image->$title;
                $gallery[$desc] = $image->$desc;
                $gallery['cat_name'] = $categoryName;
                $galleries[] = $gallery;
                
            }
            $data['images'] = (object) $galleries;
            $data['title'] = 'New Farm - Gallery Manager';
            $data['main_content'] = 'admins/gallery';
            $data['controller'] = $this->router->fetch_class();
            $this->load->view('template', $data);
            
        }
        
        
        function addGalleryCategory() {
            if ($this->input->post()) {
                $str =  $this->cleanString($this->input->post('catname'));
                $dir = 'assests/uploads/gallery/'.$str;
                if (!is_dir($dir)) {
                    $result = mkdir($dir, 0777, true);
                    if ($result) {
                        echo 'successed' ;
                    } else {
                    }
                    die();

                }
            }
            $data['title'] = 'New Farm - Gallery Manager';
            $data['main_content'] = 'admins/addGalleryCategory';
            $data['controller'] = $this->router->fetch_class();
            $this->load->view('template', $data);
            
        }
        
        function cleanString($string) {
            return preg_replace('/[^a-zA-Z0-9_ %\[\]\.\(\)%&-]/s', '', $string);
        }
        
        function editEvent($id) {
            if ($this->input->post()) {
                $result = $this->Event->editEvent($id);
                if ($result) {
                    $data['message'] = 'تم التعديل بنجاح';
                    
                } else {
                    $data['message'] = 'حدث خطأ في التعديل سيتم مراجعة الطلب ';
                
                }
            }
            $events = $this->Event->getEvent($id);
            $event = $events[0];     
            $data['event'] = $event;
            $countries = $this->Country->getCountries();
            $data['countries'] = $countries;
            $cities = $this->City->getCities();
            $data['cities'] = $cities;
            $data['title'] = 'الحزب الشيوعي - ادارة المناسبات';
            $data['controller'] = $this->router->fetch_class();
            $data['main_content'] = 'admins/EditEvent';
            $this->load->view('template', $data);
        }
        //------------------------------------
        //-------- end events Handle ---------
        //------------------------------------
        
        
        //------------------------------------
        //------- Publications Handle --------
        //------------------------------------
        public function Publications () {
            $publications = $this->Publication->getPublications();
            foreach ($publications as $publication) {
                $users = $this->User->getById($publication->created_by);
                $first_name = $this->session->userdata['lang'].'_first_name';
                $last_name = $this->session->userdata['lang'].'_last_name';
                $user = (isset($users[0]))? $users[0]->$first_name.' '.$users[0]->$last_name : '-';
                $publicto[] = array(
                    'id' => $publication->id,
                    'title' => $publication->title,
                    'date' => $publication->date,
                    'date_created' => $publication->date_created,
                    'created_by' => $user
                );
            }                                    
            $data['publications'] = (object) $publicto;
            $data['title'] = 'الحزب الشيوعي - ادارة المنشورات';
            $data['main_content'] = 'admins/Publications';
            $data['controller'] = $this->router->fetch_class();
            $this->load->view('template', $data);    

        }
        
        function addPublication() {
            if ($this->input->post()) {
                $result = $this->Publication->addPublications();
                if ($result) {
                    $data['message'] = 'تمت الاضافة بنجاح';
                    
                } else {
                    $data['message'] = 'حدث خطأ في الاضافة سيتم مراجعة الطلب ';
                
                }
            }
            $data['title'] = 'الحزب الشيوعي - ادارة المنشورات';
            $types = $this->Publication->getTypes();
            $data['types'] = $types;
            $data['main_content'] = 'admins/addPublication';
            $data['controller'] = $this->router->fetch_class();
            $this->load->view('template', $data);
            
        }
        
        function editPublication($id) {
            if ($this->input->post()) {
                $result = $this->Publication->editPublication($id);
                if ($result) {
                    $data['message'] = 'تم التعديل بنجاح';
                    
                } else {
                    $data['message'] = 'حدث خطأ في التعديل سيتم مراجعة الطلب ';
                
                }
            }
            $Publication = $this->Publication->getPublication($id);
            $types = $this->Publication->getTypes();
            $data['publication'] = $Publication;
            $data['types'] = $types;
            $data['title'] = 'الحزب الشيوعي - ادارة المنشورات';
            $data['main_content'] = 'admins/editPublication';
            $data['controller'] = $this->router->fetch_class();
            $this->load->view('template', $data);
        }
        
        function delPublication($id) {
            $result = $this->Publication->delPublication($id);
            if ($result) {
                $data['message'] = 'تم الحذف بنجاح';
                
            } else {
                $data['message'] = 'حدث خطأ في الحذف سيتم مراجعة الطلب ';
            
            } 
            $publications = $this->Publication->getPublications();
            $publicto = array();
            foreach ($publications as $publication) {
                $users = $this->User->getById($publication->created_by);
                $first_name = $this->session->userdata['lang'].'_first_name';
                $last_name = $this->session->userdata['lang'].'_last_name';
                $user = (isset($users[0]))? $users[0]->$first_name.' '.$users[0]->$last_name : '-';
                $publicto[] = array(
                    'id' => $publication->id,
                    'title' => $publication->title,
                    'date' => $publication->date,
                    'date_created' => $publication->date_created,
                    'created_by' => $user
                );
            }                                    
            $data['publications'] = (object) $publicto;
            $data['title'] = 'الحزب الشيوعي - ادارة المنشورات';
            $data['controller'] = $this->router->fetch_class();
            $data['main_content'] = 'admins/Publications';
            $this->load->view('template', $data);      
        }
        //------------------------------------
        //----- end Publications Handle ------
        //------------------------------------
        
        // Releases اصدارات
        public function releases () {
            $data['title'] = 'الحزب الشيوعي - ادارة الاصدارات';
            $data['main_content'] = 'admins/releases';
            $data['controller'] = $this->router->fetch_class();
            $this->load->view('template', $data);

        }
        // interviews
        public function interviews () {
            $data['title'] = 'الحزب الشيوعي - ادارة المقابلات';
            $data['main_content'] = 'admins/interviews';
            $data['controller'] = $this->router->fetch_class();
            $this->load->view('template', $data);

        }
        
        

}
