<?php
    class Pages extends CI_Controller {
        public function __construct()
        {
            parent::__construct();
            if (!$this->session->userdata('lang')) {
                $this->session->set_userdata(array('lang' => 'en', 'full_lang' => 'English'));
                
            }
        }

        
        public function index () {
            $data['title'] = 'New Farm';
            $data['main_content'] = 'index';
            $news = $this->News->getNews();
            $products = $this->Product->getLastOneOfAll();
            $name = $this->session->userdata('lang').'_name';
            $body = $this->session->userdata('lang').'_body';
            $slide = array();
            $slides = array();
            foreach ($products->result() as $product) {
                $slide['id'] = $product->id;
                $slide['name'] = $product->$name;
                $slide['body'] = $product->$body;
                $slide['image'] = $product->newfarm_image;
                $slide['headerImage'] = $product->headerImage;
                $cats = $this->Category->getCatName($product->cat_id);
                $slide['cat_name'] = ($cats != '') ? $cats : ' ';
                $slides[] = $slide;
            }
            $data['slides'] = $slides;
            $data['news'] = $news;
            $this->load->view('template', $data);
        }
        
        public function about_us() {
            $data['title'] = 'New Farm - About Us';
            $data['main_content'] = 'about_us';
            $this->load->view('template', $data);
        }
        
        public function products() {
            $data['title'] = 'New Farm - Products';
            $data['main_content'] = 'products';
            $news = $this->News->getNews();
            $products = $this->Product->getAllProducts();
            $data['products'] = $products->result();    
            $this->load->view('template', $data);
        }

        public function farmers() {
            $texts = array(
                'en' => array(
                    'We are now beginning to make our own hives, in the hope that we can not only meet our own needs but sell them to other co-operatives. <br>
At present the honey pays for the education of my children as well as giving me interesting work and dignity. My 
husband drives a bus, but I am the one with ambition. I had a maths teacher at school who encouraged me a lot. She 
told me, ‘If you have ambition, don’t stop!’ <br>
My life is full. I am a beekeeper, a businesswoman, a wife, a mother, and, yes, a daughter-in-law, all at the same time! 
I could even be a Doctor of Management one day. Why Not?”',
                    'Muna Jaber and the Jericho and Al Aghwar Co-operative for Bee Farming
“My name is Muna Jaber. I am the Secretary and Treasurer of this honey co-operative, and was, at first, the only 
woman among 42 men. Inspired by me there are now five of us, with another 30 about to join. Others are interested 
and we hope, eventually, to outnumber the men.',
                    'Four Remarkable Women<br>
Can Business change society? Four women from the farming co-operatives of the 
West Bank in the Occupied Palestinian Territories prove that it can transform the lives of all <br>
The co-operatives are enabled and supported by the New Farm Company and
involved – if there is determined and passionate leadership.<br>
Oxfam’s Enterprise Development Programme.',
                    'Co-Founder of New Farm “I am Daoud Istanbuli. After I retired from the Ministry of Agriculture I resolved to do what I could to help the small 
village co-operatives in the food industry of the West Bank. What they lacked, I knew, was access to markets beyond 
their local villages. The New Farm Company provides that missing link. Together we can be more successful.',
                    'The Co-operative brings in useful money that helps in the home, and with the education of our children – I have seven 
girls and two boys! But it also helps us to build social relationships and to expand our worlds. We want to prove, as 
women, that we have control over our own destiny. <br>
It was my father who made me the competent business woman that I am. He was a farmer and a shopkeeper. I was 
the youngest of nine children and he took a special interest in me.
I live in a good place, surrounded by friendly people. I have a busy life, but an exciting and enjoyable one. I hope my 
father would be proud of me.”',
                    'Ilham Ma’moun and The Deir Ibz’a Women’s Co-operative
“My name is Ilham Ma’moun. I am 38 years old, the mother of eight children and the elected Chair of the Co-operative 
Association of Deir Ibz’a for the Rural Development of Women. <br>
I started it in 1994 with five friends when I found that I had a little leisure time. To begin with we focused on training in 
first aid and baby care, with the help of the Palestinian Red Crescent.<br>
The Co-operative now has 30 members with another 40 contributing to a savings and loans organisation which I also 
set up. We run a shop which sells New Farm Company products as well as the members’ own home-made honey and 
thyme. The younger members provide the labour for the New Farm Company on a seasonal basis. Here they can be 
seen boarding the bus that will take them to the factory.',
                    'I am proud to say that in the last six years the Co-operative has been growing steadily. The money is pooled, 
amounting to some 15 per cent of total household income. I keep the accounts, although we have to employ a 
qualified accountant to sign them off. <br>
Our families decide together how it should be spent. Some goes to help educate the children, some on useful things like 
washing machines. And now that we go out to work our husbands take more responsibility in the home, while we women 
have more freedom and self-respect. It is easier when the husband supports his wife in her work, as mine does.<br>
Recently I have started to make honey for the Co-operative and even to grow mushrooms. I am the first woman to be 
elected to the village council where my grandfather was once the mayor. Maybe one day it could be me.<br>
Life, I think, is full of opportunities if you know where to look.”',
                    'The Family Provider. Dalal Amro and the Agricultural Processing Co-operative in Hebron
“My name is Dalal Amro. I have nine children and my husband no longer works, so I am the main provider of the 
household. It’s hard work! I spend four days a week at the Co-operative which I started six years ago. 
We are all women. It’s better that way. So far I’ve inspired 23 others to join me and we hope to grow to around 
50 in three-to-five years.',
                    'The rest of the time we make cheese and yoghurt with the milk from local farmers, which we sell from our own premises 
or to local shops. We have just moved into larger premises next door to my house and shop. That will give us room for 
even more activities and will act as a showroom. I am looking forward to the challenge.
Recently, I opened a handicraft shop next door to my house, selling handicrafts made and brought to me from the 
surrounding villages.',
                    'Hugo Sintes-Pons, EDP Manager
“My name is Hugo Sintes-Pons. I am in charge of this hugely exciting programme which operates in some of the 
poorest countries in the world. We plan to increase the portfolio to around 30 enterprises in the near future. Given 
Oxfam’s global network I find that there is never any shortage of new proposals.
We focus on businesses that produce and process food. By creating wealth our aim is to overcome poverty for all 
involved, especially women, since they are the most marginalised, but also the most business-savvy and the most 
concerned with their family’s welfare.
I’m very grateful to all our supporters who share both their wealth and their expertise. If you would like to get involved 
we would be delighted to hear from you.”',
                    'In 2008 Oxfam launched its Enterprise Development Programme (EDP). This sets out to provide finance, training and 
support to fledgling businesses in the developing world, to help them grow into long-term sustainable enterprises. These 
businesses are a mix of co-operatively and privately-owned enterprises, with a particular focus on agriculture and women.<br>
In effect the EDP is a social venture capital fund, with a first round target of £6m. There are currently 11enterprises in 
the portfolio growing to 30 in the first five-year phase. Growing these businesses and others like them will help to lift many 
thousands of people out of poverty and transform their lives.<br>
In 2009 Oxfam invited Elizabeth Handy, a portrait photographer, and her husband Charles, a management writer, to document 
one of these projects in words and photographs, with a view to exhibiting it in centres of business in the UK. The exhibition 
hopes to raise awareness of the Programme and inspire greater support. For some it might also open a window on a 
world of which they see or know little.'
                ),
                'ar' => array(
                    'بدأنا الآن لجعل خلايا النحل الخاصة بنا، على أمل أننا لا يمكن أن تلبي فقط احتياجات الخاصة بنا ولكن بيعها لآخرين التعاونيات. <BR>
في الوقت الحاضر يدفع العسل لتعليم أولادي وكذلك إعطائي عمل مثيرة للاهتمام والكرامة. لي
الزوج سائق باص، ولكن أنا واحد مع الطموح. كان لي مدرس الرياضيات في المدرسة الذي شجعني كثيرا. هي
قال لي: "إذا كان لديك طموح، لا تتوقف! <BR>
حياتي ممتلئة. أنا مربي النحل، سيدة أعمال، الزوجة، الأم، ونعم، ابنة في القانون، وكلها في نفس الوقت!
أنا يمكن أن يكون حتى دكتوراه في إدارة يوم واحد. لما لا؟',
                    'منى جابر وأريحا و آل الأغوار التعاونية للنحلة الزراعة
“اسمي منى جابر. أنا أمين وأمين الصندوق من هذا العسل التعاونية، وكان، في البداية، وفقط
امرأة من بين 42 رجال. مستوحاة من لي هناك الآن خمسة منا، مع 30 اخرين على وشك الانضمام. وغيرها من الجهات المهتمة
ونأمل، في نهاية المطاف، ليفوق عدد الرجال. ',
                    'أربع نساء لافت <BR>
يمكن تغيير المجتمع الشركة؟ أربع نساء من التعاونيات الزراعية لل
الضفة الغربية في الأراضي الفلسطينية المحتلة يثبت أنه يمكن تحويل حياة جميع <BR>
يتم تمكين التعاونيات وبدعم من شركة نيو فارم و
تشارك - إذا ثبت وجود قيادة وعاطفي <BR>.
برنامج تنمية المشاريع أوكسفام. ',
                    'المؤسس المشارك نيو فارم" أنا داوود اسطنبولي. بعد أن تقاعد من وزارة الزراعة وأصررت على أن أفعل ما بوسعي لمساعدة صغيرة
قرية تعاونية في مجال صناعة الأغذية في الضفة الغربية. ما تفتقر، وكنت أعرف، كان الوصول إلى أسواق ما وراء
القرى المحلية. توفر شركة نيو فارم أن الحلقة المفقودة. معا يمكننا أن نكون أكثر نجاحا.',
                    'إن التعاونية يجلب المال المفيدة التي تساعد في المنزل، ومع تعليم أطفالنا - لدي سبعة
فتيات وصبيان! ولكنه يساعد أيضا لنا لبناء علاقات الاجتماعية وتوسيع عوالمنا. نريد أن نثبت، كما
المرأة، التي لدينا السيطرة على مصيرنا. <BR>
كان والدي الذي جعلني سيدة الأعمال المختصة التي أنا. وكان مزارعا وصاحب متجر. انا كنت
اصغر من تسعة أطفال وتوليه اهتماما خاصا لي.
أنا أعيش في مكان جيد، وتحيط بها الشعب الصديق. لدي حياة مشغول، ولكن واحدة مثيرة وممتعة. آمل بلدي
وكان والده تكون فخورة بي.”',
                    'إلهام مأمون وإن المرأة في دير ابزاع التعاونية
"اسمي إلهام مأمون. أنا 38 سنة، والدة لثمانية أطفال والرئيس المنتخب للاتحاد التعاوني
جمعية دير ابزاع للتنمية الريفية من النساء. <BR>
بدأت في عام 1994 مع خمسة أصدقاء عندما وجدت أن لدي وقت الفراغ القليل. لتبدأ ركزنا على التدريب في
الإسعافات الأولية ورعاية الطفل، بمساعدة الهلال الأحمر الفلسطيني. <BR>
والتعاوني لديها الآن 30 عضوا مع 40 آخر مساهمة في تنظيم الادخار والقروض التي أنا أيضا
نصب. نحن تشغيل متجر التي تبيع منتجات شركة نيو فارم، وكذلك الخاصة العسل محلية الصنع للأعضاء و
الزعتر. يقدم أعضاء الأصغر في العمل لشركة نيو فارم على أساس موسمي. هنا يمكن أن تكون
شهدت الصعود إلى الحافلة التي سوف تأخذها إلى المصنع. ',
                    'أنا فخور أن أقول أنه في السنوات الست الأخيرة التعاوني قد نما نموا مطردا. تم تجميع المال،
تصل إلى نحو 15 في المائة من إجمالي دخل الأسرة. وأظل الحسابات، على الرغم من أن لدينا لتوظيف
محاسب مؤهل للتوقيع أجبرتها على الفرار. <BR>
عائلاتنا تقرر معا كيف ينبغي أن ينفق عليه. يذهب بعض للمساعدة في تثقيف الأطفال، بعضهم على أشياء مفيدة مثل
الغسالات. والآن بعد أن نخرج للعمل أزواجنا اتخاذ المزيد من المسؤولية في المنزل، في حين نحن النساء
الحصول على مزيد من الحرية واحترام الذات. فمن الأسهل عندما يدعم الزوج زوجته في عملها، كما يفعل الألغام. <BR>
في الآونة الأخيرة لقد بدأت لجعل العسل لالتعاونية وحتى أن ينمو الفطر. أنا أول امرأة لتكون
انتخب لمجلس القرية حيث كان جدي مرة واحدة رئيس البلدية. ربما في يوم من الأيام أنه يمكن أن يكون لي. <BR>
الحياة، كما أعتقد، هو الكامل من الفرص إذا كنت تعرف أن ننظر فيها. ”',
                    'موفر الأسرة. دلال عمرو والتصنيع الزراعي التعاوني في الخليل
"اسمي دلال عمرو. لدي تسعة أطفال وزوجي لم يعد يعمل، لذلك أنا المزود الرئيسي لل
الأسرة. إنه عمل شاق! قضيت أربعة أيام في الأسبوع في التعاونية التي بدأت قبل ست سنوات.
نحن جميع النساء. انها أفضل بهذه الطريقة. حتى الآن لقد ألهمت 23 آخرين للانضمام لي ونأمل أن ينمو إلى حوالي
50 في ثلاث إلى خمس سنوات.',
                    'ما تبقى من الوقت يمكننا أن نجعل الجبن واللبن مع الحليب من المزارعين المحليين، ونحن بيع من أماكن العمل الخاصة بنا
أو إلى المتاجر المحلية. لقد انتقلت للتو إلى مقر أكبر المجاور لمنزلي ومتجر. وهذا يعطينا مجالا ل
أكثر الأنشطة وسيكون بمثابة صالة العرض. إنني أتطلع إلى التحدي.
في الآونة الأخيرة، فتحت متجر الحرف اليدوية المجاور لمنزلي، وبيع المشغولات اليدوية المصنوعة وجلبت لي من
القرى المحيطة.',
                    'Hugo Sintes-Pons, EDP Manager
“أنا المسؤول عن هذا البرنامج المثير بشكل كبير والتي تعمل في بعض
البلدان الأكثر فقرا في العالم. ونحن نخطط لزيادة محفظة إلى نحو 30 شركة في المستقبل القريب. معطى
شبكة عالمية أوكسفام أجد أن هناك أبدا أي نقص في مقترحات جديدة.
ونحن نركز على الشركات التي تنتج وعملية الغذاء. من خلال خلق الثروة هدفنا هو التغلب على الفقر للجميع
المعنية، ولا سيما النساء، لأنها هي الأكثر تهميشا، ولكن أيضا الأكثر مناسبة لرجال الأعمال والدهاء وأكثر
المعنية برعاية أسرهم.
أنا ممتن جدا لجميع شركائنا المؤيدين الذين حصة كل ثرواتهم وخبراتهم. إذا كنت ترغب في التورط
سنكون سعداء أن نسمع منك.”',
                    'وفي عام 2008 أطلقت منظمة أوكسفام برنامج تطوير المشاريع في (EDP). هذا يحدد لتوفير التمويل والتدريب و
الدعم للشركات الناشئة في العالم النامي، لمساعدتهم على النمو في المنشآت المستدامة على المدى الطويل. هذه
الشركات هي مزيج من شركات تعاونية ومملوكة للقطاع الخاص، مع التركيز بشكل خاص على الزراعة والنساء. <BR>
في الواقع EDP هو مشروع صندوق رأس المال الاجتماعي، مع أول هدف الجولة جنيه استرليني 6 M. هناك 11شركة  حاليا في
مجموعة متنامية إلى 30 في المرحلة الخمسية الأولى. وتزايد هذه الأعمال وغيرهم مثلهم تساعد على رفع عدد
الآلاف من الناس من براثن الفقر وتحويل حياتهم. <BR>
في عام 2009 دعت منظمة أوكسفام إليزابيث مفيد، وهو مصور صورة، وزوجها تشارلز، وهو كاتب الإدارة، لتوثيق
واحد من هذه المشاريع في الكلمات والصور، وذلك بهدف اظهار ذلك في مراكز الأعمال في المملكة المتحدة. المعرض
تأمل في رفع مستوى الوعي لبرنامج وإلهام المزيد من الدعم. بالنسبة للبعض قد أيضا فتح نافذة على
العالم الذي يرونه أو لا يعرفون إلا القليل'
                )
            );
            $data['texts'] = $texts;
            $data['title'] = 'New Farm - Farmers';
            $data['main_content'] = 'farmers';
            $this->load->view('template', $data);
        }

        public function partners() {
            $founders = $this->Partner->getFounders();
            $data['founders'] = $founders;
            $development = $this->Partner->getDevelopment();
            $data['development'] = $development;
            $donors = $this->Partner->getDonors();
            $data['donors'] = $donors;
            $data['title'] = 'New Farm - Partners';
            $data['main_content'] = 'partners';
            $this->load->view('template', $data);
        }

        public function contact_us() {
            if ($this->input->post()) {
                if ($this->Contact->insert()) {
                    $data['message'] = ' successfully sent .. !';
                } else {
                    $data['message'] = 'failed';
                }
                
            }
            $data['title'] = 'New Farm - Contact Us';
            if ($this->session->userdata['lang'] == 'ar') {
                $data['headerContent'] = '
                <h1 style="font-size: 65pt; font-weight: 400; font-family: calibri; color:#043206; margin: 15px 10px 0px; text-align: right; font-family: Adobe; font-size: 120px;">اتصل بنا</h1>
                <div style="font-size: 10pt; font-weight: 400; font-family: Arial; color:#043206; margin: 15px 10px; line-height: 150%; text-align: justify; direction: rtl; font-size: 16px; font-family: Adobe; font-weight: bold;">
                <span>اتصل بنا في فلسطين أو من خلال الشركاء والموزعين </span><br>
شكرا لك على اهتمامك في شركة نيو فارم، ونحن نقدر أي دعم كبير! إذا كان لديك سؤال حول منتجاتنا، من فضلك اطلب لنا في <a href="" style="color: #f0ff00;">الفيسبوك</a> أو البريد الإلكتروني في <a style="color: #f0ff00;" href="mailto:info@newfarm.ps">info@newfarm.ps</a>.
لأغراض تجارية أو التنمية، يرجى الاتصال مقر الشركة في رام الله، فلسطين في 
<a style="color: #f0ff00;" href="mailto:info@newfarm.ps">info@newfarm.ps</a>
 أو الكتابة أو الاتصال بنا على:
 </div>
<h4 style="font-size: 22px; color: #f0ff00; font-weight: normal; direction: rtl; font-family: Adobe; margin-right: 15px;"> شركة نيو فارم </h4>
<div style="test-align: right; direction: rtl;  margin-right: 15px;">
    <ul style="list-style-image: url('. base_url('assests/images/circle.png').'); margin-left:15px;  font-family: Adobe; font-size: 18px; text-transform: uppercase; color: #17bd45; font-weight: bold;">
        <li style="padding: 5px 10px; margin-right: 15px;">الضفة الغربية رام الله - عين سينيا<br>فلسطين</li>
        <li style="padding: 5px 10px; margin-right: 15px;">تلفون : <span style="direction: ltr;">97022819557+</span></li>
        <li style="padding: 5px 10px; margin-right: 15px;">فاكس : <span style="direction: ltr;">97022819557+</span></li>
    </ul>
</div>
                ';
                
            } elseif ($this->session->userdata['lang'] == 'en') {
                $data['headerContent'] = '
                <h1 style="font-size: 65pt; font-weight: 400; font-family: calibri; color:#043206; margin: 15px 10px 0px;">Contact us</h1>
<div style="font-size: 10pt; font-weight: 400; font-family: Arial; color:#043206; margin: 15px 10px; line-height: 150%; text-align: justify; ">
<span>Contact us in Palestine or through our Partners & Distributors</span><br>
Thank you for your interest in New Farm Company, we appreciate any support greatly! If you have a question about our products, please ask us on <a href="" style="color: #f0ff00;">Facebook</a> or e-mail at <a style="color: #f0ff00;" href="mailto:info@newfarm.ps">info@newfarm.ps</a>.<br>
For business or development purposes, please contact our corporate headquarters in Ramallah, Palestine at <a style="color: #f0ff00;" href="mailto:info@newfarm.ps">info@newfarm.ps</a> or write or call us:
</div>
<h4 style="font-size: 18px; color: #f0ff00; font-weight: normal; margin-left: 15px;"> New Farm Company </h4>
<div>
    <ul style="list-style-image: url('. base_url('assests/images/circle.png').'); margin-left:15px; font-size: 14px; text-transform: uppercase; color: #17bd45; font-weight: bold;">
        <li style="padding: 5px 10px; margin-left: 15px;">Ein Sinya, Ramallah West Bank <br>Paelstine</li>
        <li style="padding: 5px 10px; margin-left: 15px;">Tel : +97222819557</li>
        <li style="padding: 5px 10px; margin-left: 15px;">Fax : +97222819557</li>
    </ul>
</div>
                ';                
            }
            $data['main_content'] = 'contact_us';
            $this->load->view('template', $data);
        }
        
        public function getExhibition() {
            $exhibitions = $this->Exhibition->getExhibitions();
            echo (array) $exhibitions;
            
        }
        
        public function getPromotion() {
            $promotions = $this->Promotion->getPromotions();
            echo (array) $promotions;
            
        }
        
        public function getWorkshop() {
            $workshops = $this->Workshop->getWorkshops();
            var_dump(json_encode($workshops));
            
        }
        public function getVideo() {
            $videos = $this->Video->getVideos();
            echo (array) $videos;
            
        }
        
        
        public function gallery() {
            $data['title'] = 'New Farm - Gallery';
            $data['main_content'] = 'gallery';
            $this->load->view('template', $data);
        }
        
        public function addToNewsletter() {
            if ($this->input->post()) {
                $result = $this->Newsletter->insertNew();
                if ($result) {
                    $message = 'Added Successfully';
                    $this->index();
                    
                } else {
                    $message = 'Something went wrong';
                    
                }
                $data['newsletterMessage'] = $message;
                
            }
        }
        
        
        public function getProductDetail($id) {
            $product = $this->Product->getById($id);
            echo json_encode($product);
        }
    }
