<?php
    class Category extends CI_Model {
        function getCategories() {                                   
            $this->db->select('id, `'.$this->session->userdata['lang'].'_name`');
            $cats = $this->db->get('category');
            $result = array();
            $lang = $this->session->userdata['lang'].'_name';
            foreach ($cats->result() as $row)  
            {
                $result[$row->id] = $row->$lang;
            }
            return $result;
        }
        
        function getCatsWithoutParent() {
            $this->db->where('parent_id', '');
            $cats = $this->db->get('category');
            return  $cats->result();
        }
        
        function getAllCategories() {                                            
            $cats = $this->db->get('category');
            return $cats->result();
        }
        
        function getAllCats() {
            $cats = $this->db->get('category');
            $result = array();
            foreach ($cats->result() as $cat) {
                if ($cat->parent_id != 0) {
                    $parent = $this->getParentName($cat->parent_id); 
                    $catDetail = $cat;
                    $catDetail->parent = $parent;   
                    
                } else {
                    $catDetail = $cat;
                    $catDetail->parent = '-';   
                }
                
                $result[] = $catDetail;
                
            }
            return $result;
            
        }
        
        function updateCat($id) {
            $lang = $this->session->userdata['lang'].'_name';
            $data = array(
                $lang => $this->input->post('catname'),
                'parent_id' => $this->input->post('category'),
                'modified_by' => $this->session->userdata['id'],
                'date_modified' => 'CURRENT_TIMESTAMP'               
            );
            $this->db->where('id', $id);
            $result = $this->db->update('category', $data);
            return $result;
        }
        
        function delCat($id) {
            $this->db->where('id', $id);
            $result = $this->db->delete('category');
            return $result;
        }
        
        function getCatDetail($id) {
            $this->db->where('id', $id);
            $cats = $this->db->get('category');
            $result = array();
            foreach ($cats->result() as $cat) {
                if ($cat->parent_id != 0) {
                    $parent = $this->getParentId($cat->parent_id); 
                    $catDetail = $cat;
                    $catDetail->parent = $parent;   
                    
                } else {
                    $catDetail = $cat;
                    $catDetail->parent = '0';   
                }
                $result[] = $catDetail;
                
            }
            return $result;
            
        }
        
        function getParentName($id) {
            $this->db->where('id', $id);
            $cat = $this->db->get('category');
            $cat = $cat->result();
            $lang = $this->session->userdata['lang'].'_name';
            return $cat[0]->$lang;
            
        }
        function getCatName($id) {
            $this->db->where('id', $id);
            $cat = $this->db->get('category');
            $cat = $cat->result();
            $lang = $this->session->userdata['lang'].'_name';
            return (isset($cat[0]->$lang) ? $cat[0]->$lang : '');
            
        }
        function getParentId($id) {
            $this->db->where('id', $id);
            $cat = $this->db->get('category');
            $cat = $cat->result();
            return $cat[0]->id;
            
        }
        
        function getCatsWithParent($id = NULL) {
            if (isset($id)) {
                $this->db->where('parent_id', $id);
                
            } else {
                $this->db->where('parent_id', 3);
                
            }
            $cats = $this->db->get('category');
            return $cats->result();
        }
        
        function addCat($data) {
            $result = $this->db->insert('category', $data);
            return $result;
            
        }
    }
?>
